Bug 172509 - sysutils/am-utils: Update MASTER_SITES
Summary: sysutils/am-utils: Update MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-08 19:10 UTC by tkato432
Modified: 2013-01-21 03:45 UTC (History)
0 users

See Also:


Attachments
file.diff (2.21 KB, patch)
2012-10-08 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-10-08 19:10:18 UTC
- Update MASTER_SITES
- Add LICENSE
- Add MAKE_JOBS_SAFE
Comment 1 Edwin Groothuis freebsd_committer 2012-10-08 19:11:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2012-10-29 09:40:20 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Reassign to the heap miwi being overloaded for now
Comment 3 Marcelo Araujo freebsd_committer 2012-12-11 13:03:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-01-21 03:28:20 UTC
Author: araujo
Date: Mon Jan 21 03:28:11 2013
New Revision: 310736
URL: http://svnweb.freebsd.org/changeset/ports/310736

Log:
  - Update MASTER_SITES.
  - Add LICENSE.
  - Add MAKE_JOBS_UNSAFE.
  - Convert to OptionsNG.
  
  PR:		ports/172509
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/sysutils/am-utils/Makefile   (contents, props changed)

Modified: head/sysutils/am-utils/Makefile
==============================================================================
--- head/sysutils/am-utils/Makefile	Mon Jan 21 03:26:21 2013	(r310735)
+++ head/sysutils/am-utils/Makefile	Mon Jan 21 03:28:11 2013	(r310736)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   am-utils
-# Date created:        2 November 2004
-# Whom:                Jon Wilson <jon@phuq.co.uk>
-#
+# Created by: Jon Wilson <jon@phuq.co.uk>
 # $FreeBSD$
-#
 
 PORTNAME=	am-utils
 PORTVERSION=	6.1.5
@@ -11,31 +7,44 @@ PORTEPOCH=	1
 CATEGORIES=	sysutils net
 MASTER_SITES=	ftp://ftp.am-utils.org/pub/am-utils/ \
 		ftp://ftp.cs.umn.edu/pub/am-utils/ \
-		ftp://ftp.cise.ufl.edu/pub/mirrors/am-utils/ \
-		ftp://sunsite.org.uk/package/am-utils/ \
-		ftp://ftp.u-aizu.ac.jp/pub/net/amd/am-utils/
+		ftp://ftp.u-aizu.ac.jp/pub/net/amd/am-utils/ \
+		RINGSERVER/net/am-utils
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	The Berkeley Automounter Suite of Utilities
 
-USE_LDCONFIG=	yes
+LICENSE=	BSD
+LICENSE_FILE=	${WRKSRC}/COPYING
+
+OPTIONS_DEFINE=	OPENLDAP DOCS
+OPTIONS_DEFAULT=OPENLDAP
+OPENLDAP_DESC=	OpenLDAP support
+
 USE_AUTOTOOLS=	libtool
+USE_LDCONFIG=	yes
+MAKE_JOBS_UNSAFE=yes
+
+MAN1=		expn.1 pawd.1
+MAN5=		amd.conf.5
+MAN8=		amd.8 amq.8 automount2amd.8 fixmount.8 fsinfo.8 hlfsd.8 \
+		mk-amd-map.8 wire-test.8
+INFO=		am-utils
+PORTDOCS=	AUTHORS BUGS FAQ NEWS README.attrcache
 
-PORTDOCS=	AUTHORS BUGS COPYING FAQ NEWS README.attrcache
+.include <bsd.port.options.mk>
 
-.if defined(WITH_OPENLDAP) || defined(PACKAGE_BUILDING)
+.if ${PORT_OPTIONS:MOPENLDAP}
 USE_OPENLDAP=	yes
-CONFIGURE_ARGS+=	--with-ldap=yes --enable-ldflags=-L${LOCALBASE}/lib --enable-cppflags=-I${LOCALBASE}/include
+CONFIGURE_ARGS+=--with-ldap=yes \
+		--enable-ldflags=-L${LOCALBASE}/lib \
+		--enable-cppflags=-I${LOCALBASE}/include
 PORTDOCS+=	README.ldap ldap-id.txt ldap.schema
+.else
+CONFIGURE_ARGS+=--with-ldap=no
 .endif
 
-INFO=		am-utils
-MAN1=		expn.1 pawd.1
-MAN5=		amd.conf.5
-MAN8=		amd.8 amq.8 automount2amd.8 fixmount.8 fsinfo.8 hlfsd.8 mk-amd-map.8 wire-test.8
-
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 	cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Marcelo Araujo freebsd_committer 2013-01-21 03:45:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!